package com.kiwisoft.scrap;

import java.util.StringTokenizer;
import javax.swing.JTextField;
import javax.swing.Icon;

import com.intellij.openapi.project.Project;

import com.kiwisoft.utils.gui.lookup.DialogLookup;
import com.kiwisoft.utils.gui.EditTextDialogStub;
import com.kiwisoft.utils.gui.IconManager;
import com.kiwisoft.utils.Utils;

/**
 * Created by IntelliJ IDEA.
 * User: Stefan1
 * Date: 20.10.2004
 * Time: 18:37:44
 * To change this template use File | Settings | File Templates.
 */
class ImportsLookup implements DialogLookup
{
	private final Project project;

	public ImportsLookup(Project project)
	{
		this.project=project;
	}

	public void open(JTextField field)
	{
		EditTextDialogStub dialog=new EditTextDialogStub("Imports", getMultiLineText(field.getText()));
		Utils.wrapDialog(project, dialog, true, true);
		if (dialog.getReturnValue()) field.setText(getSingleLineText(dialog.getText()));
	}

	public Icon getIcon()
	{
		return IconManager.getIcon(MainPanel.class.getClassLoader(), "icons/showViewer.png");
	}

	private static String getMultiLineText(String text)
	{
		StringBuffer buffer=new StringBuffer(text.length());
		StringTokenizer tokens=new StringTokenizer(text, ",;");
		while (tokens.hasMoreTokens())
		{
			buffer.append(tokens.nextToken().trim()).append(";");
			if (tokens.hasMoreTokens()) buffer.append("\n");
		}
		return buffer.toString();
	}

	private static String getSingleLineText(String text)
	{
		StringBuffer buffer=new StringBuffer(text.length());
		StringTokenizer tokens=new StringTokenizer(text, ",;\n");
		while (tokens.hasMoreTokens())
		{
			buffer.append(tokens.nextToken().trim()).append(";");
			if (tokens.hasMoreTokens()) buffer.append(" ");
		}
		return buffer.toString();
	}
}
