/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.scrap;

import java.util.List;

import javax.swing.JComboBox;
import javax.swing.DefaultComboBoxModel;

import com.intellij.openapi.project.ModuleListener;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.module.Module;
import com.intellij.openapi.module.ModuleManager;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2004/10/19 19:18:51 $
 */
class ModuleAdapter implements ModuleListener
{
	private JComboBox comboBox;

	public ModuleAdapter(Project project, JComboBox comboBox)
	{
		this.comboBox=comboBox;
		ModuleManager.getInstance(project).addModuleListener(this);
	}

	public void moduleAdded(Project project, Module module)
	{
		DefaultComboBoxModel model=(DefaultComboBoxModel)comboBox.getModel();
		model.addElement(module);
	}

	public void moduleRemoved(Project project, Module module)
	{
		DefaultComboBoxModel model=(DefaultComboBoxModel)comboBox.getModel();
		model.removeElement(module);
	}

	public void beforeModuleRemoved(Project project, Module module)
	{
	}

	public void modulesRenamed(Project project, List modules)
	{
		comboBox.updateUI();
	}
}
