/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.scrap;

import java.awt.Component;
import javax.swing.DefaultListCellRenderer;
import javax.swing.ImageIcon;
import javax.swing.JList;

import com.intellij.openapi.module.Module;

import com.kiwisoft.utils.gui.IconManager;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2004/10/18 18:39:27 $
 */
public class ModuleRenderer extends DefaultListCellRenderer
{
    private ImageIcon icon;

	public ModuleRenderer()
    {
        ClassLoader classLoader=getClass().getClassLoader();
        icon=IconManager.getIcon(classLoader, "icons/modul.png");
    }

    public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)
    {
		if (value instanceof Module)
		{
			Module module=(Module)value;
			setIcon(icon);
			setText(module.getName());
		}
		else
		{
			setIcon(IconManager.ICON_16X16);
			setText(String.valueOf(value));
		}
        if (!isSelected)
        {
            setBackground(list.getBackground());
            setForeground(list.getForeground());
        }
        else
        {
            setBackground(list.getSelectionBackground());
            setForeground(list.getSelectionForeground());
        }
        return this;
    }
}
